mail

POST /v1/mail/services/{mailServiceId}/forwarders

Forward an address, a catch-all, or a whole domain.

Semua titik akhir mail

Autentikasi

Kirim kunci API sebagai token bearer. Kunci tersebut harus memiliki izin mail.manage; kunci tanpa izin tersebut akan ditolak dengan status 403, bukan 404.

Endpoint ini tidak memerlukan id organisasi. Kunci Anda telah mengidentifikasi organisasi tempatnya berafiliasi, dan respons akan dibatasi untuk organisasi tersebut.

Coba

Ganti apa pun di dalam tanda kurung sudut dengan nilai Anda sendiri, dan placeholder kunci dengan kunci dari dasbor Anda.

curl -X POST https://api.zinndigital.com/v1/mail/services/{mailServiceId}/forwarders \
  -H "Authorization: Bearer zdk_live_…" \
  -H "Content-Type: application/json" \
  -d '{ "targets": <string[]> }'

Sudah masuk? Konsol API di dasbor Anda akan mengisi ID organisasi asli dan kunci Anda sendiri, serta menjalankan permintaan terhadap API langsung sehingga Anda dapat melihat respons aktualnya. Buka titik akhir ini di konsol API

Detail

`source` is required for `mailbox` and **ignored** for `catchall`/`wildcard`, where the whole domain is the source — so it may be omitted for those rather than sending a value the backend discards. Requires `mail.manage`.

Parameter

NamaJenisWajibTentang apa ini
mailServiceId (path)UuidYaEmail service ID (UUIDv7).

Isi permintaan

NamaJenisWajibTentang apa ini
sourcestringTidakRequired for `mailbox`; ignored for `catchall`/`wildcard`.
targetsstring[]Ya
kindMailForwarderKindTidak`mailbox` forwards one address; `catchall` takes anything not otherwise matched at the domain; `wildcard` forwards the whole domain to another one.

Tanggapan

NamaJenisWajibTentang apa ini
idstringYaThe mail backend's identifier.
sourcestringYaThe local part being forwarded for `mailbox`; the domain itself for `catchall`/`wildcard`.
targetsstring[]YaWhere mail goes. May include the backend's reserved drop/reject targets.
kindMailForwarderKindYa`mailbox` forwards one address; `catchall` takes anything not otherwise matched at the domain; `wildcard` forwards the whole domain to another one.

Kesalahan yang dapat dikembalikan oleh titik akhir ini

401 · 403 · 404 · 422 · 429 · 503